libglom-1.22: Glom::LayoutItem_CalendarPortal Class Reference

libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_CalendarPortal Class Reference
Inheritance diagram for Glom::LayoutItem_CalendarPortal:
[legend]
Collaboration diagram for Glom::LayoutItem_CalendarPortal:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_CalendarPortal ()
| LayoutItem_CalendarPortal (const LayoutItem_CalendarPortal& src)
LayoutItem_CalendarPortal& | operator= (const LayoutItem_CalendarPortal& src)
virtual | ~LayoutItem_CalendarPortal ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const
sharedptr< Field > | get_date_field ()
sharedptr< const Field > | get_date_field () const
void | set_date_field (const sharedptr< Field >& field)
virtual void | change_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)
virtual void | change_related_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)

## Constructor & Destructor Documentation

Glom::LayoutItem_CalendarPortal::LayoutItem_CalendarPortal | ( |  | ) |

Glom::LayoutItem_CalendarPortal::LayoutItem_CalendarPortal | ( | const LayoutItem_CalendarPortal& | src | ) |

virtual Glom::LayoutItem_CalendarPortal::~LayoutItem_CalendarPortal | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Glom::LayoutItem_CalendarPortal::change_field_item_name | ( | const Glib::ustring & | table_name,
|  | const Glib::ustring & | field_name,
|  | const Glib::ustring & | field_name_new
| ) |  | `[virtual]`

Reimplemented from Glom::LayoutItem_Portal.

virtual void Glom::LayoutItem_CalendarPortal::change_related_field_item_name | ( | const Glib::ustring & | table_name,
|  | const Glib::ustring & | field_name,
|  | const Glib::ustring & | field_name_new
| ) |  | `[virtual]`

Reimplemented from Glom::LayoutItem_Portal.

virtual LayoutItem* Glom::LayoutItem_CalendarPortal::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutItem_Portal.

sharedptr<Field> Glom::LayoutItem_CalendarPortal::get_date_field | ( |  | ) |

sharedptr<const Field> Glom::LayoutItem_CalendarPortal::get_date_field | ( |  | ) | const

virtual Glib::ustring Glom::LayoutItem_CalendarPortal::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutItem_Portal.

LayoutItem_CalendarPortal& Glom::LayoutItem_CalendarPortal::operator= | ( | const LayoutItem_CalendarPortal& | src | ) |

void Glom::LayoutItem_CalendarPortal::set_date_field | ( | const sharedptr< Field >& | field | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_calendarportal.h